# patroni.postgresql.available_parameters package

## Module contents

patroni.postgresql.available_parameters._filter_and_sort_files(files: Iterator[Traversable]) → Iterator[Traversable]

  Sort files by name, and filter out non-YAML files and Python files.

  Parameters:

    files – A list of files and/or directories to be filtered and sorted.

  Yields:

    filtered and sorted objects.

patroni.postgresql.available_parameters._traversable_walk(tvbs: Iterator[Traversable]) → Iterator[Traversable]

  Recursively walk through Path/Traversable objects, yielding all YAML files in deterministic order.

  Parameters:

    tvbs – An iterator over `PathLikeObj` objects, where each object is a file or directory that potentially contains YAML files.

  Yields:

    `PathLikeObj` objects representing YAML files found during the traversal.

patroni.postgresql.available_parameters.get_validator_files() → Iterator[Traversable]

  Recursively find YAML files from the current package directory.

  Returns:

    an iterator of `PathLikeObj` objects representing validator files.